REGISTER_SOUND_MIX(9)

NAME
register_sound_mixer - register a mixer device

SYNOPSIS

int register_sound_mixer (struct file_operations * fops, int dev);

ARGUMENTS

fops
    File operations for the driver

dev Unit number to allocate

DESCRIPTION

Allocate a mixer device. Unit is the number of the mixer requested. Pass -1 to request the next free mixer unit. On success the allocated number is returned, on failure a negative error code is returned.